// Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.

data "oci_core_services" "oci_services" {}

data "oci_identity_availability_domain" "ad1" {
  compartment_id = var.compartment_ocid
  ad_number      = 1
}

data "oci_identity_compartment" "guide_compartment" {
  id = var.compartment_ocid
}

data "oci_core_images" "target_region_images" {
  compartment_id = var.compartment_ocid
  shape = "VM.Standard.E4.Flex"
  operating_system = "Oracle Linux"
  operating_system_version = "8"
}

data "oci_containerengine_node_pool_option" "node_pool_option" {
  node_pool_option_id = oci_containerengine_cluster.generated_oci_containerengine_cluster.id
}

data "oci_containerengine_node_pool" "node_pool_details" {
  node_pool_id = oci_containerengine_node_pool.node_pool_1.id
}

data "oci_objectstorage_namespace" "os_namespace" {

    #Optional
    compartment_id = var.compartment_ocid
}