// Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.

output "compute_instance_public_ip" {
  description = "public IP of developer Compute Instance"
  value       = oci_core_instance.gdk_guide_instance.public_ip
}

output "ad1_name" {
  value = local.ad1_name
}

output "tenancy-namespace" {
  value = data.oci_objectstorage_namespace.os_namespace.namespace
}

output "region" {
  value = var.region
}

output "cluster-id" {
  value = oci_containerengine_cluster.generated_oci_containerengine_cluster.id
}