// Copyright (c) 2024, Oracle and/or its affiliates. All rights reserved.
// Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.

resource "oci_identity_policy" "gdk_oke_policy" {
  compartment_id = var.compartment_ocid
  description    = "instance_principal policy for OKE"
  name           = "gdk_guide_oke_ip"
  statements     = ["Allow any-user to manage cluster-family in compartment id ${var.compartment_ocid} where ALL { request.principal.type='instance', request.principal.compartment.id='${var.compartment_ocid}' }"]
}
